### Class

# Phosh LayoutManager

since: 0.29.0

#### Description [src]

    final class Phosh.LayoutManager : GObject.Object
    {
      /* No available fields */
    }

Provide information on how to layout shell elements.

Calculations are done in GTKs coordinates (thus scaled).

Available since: 0.29.0

#### Ancestors

- GObject

#### Constructors

###### phosh_layout_manager_new

No description available.

#### Instance methods

###### phosh_layout_manager_get_clock_pos

The top bar’s clock position.

###### phosh_layout_manager_get_clock_shift

The settings clock position.

###### phosh_layout_manager_get_corner_shift

Gets the amount of pixels UI elements should be moved to towards the center because of rounded corners.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Phosh.LayoutManager::layout-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshLayoutManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.